#include "tool.h"
#include <QDrag>
#include <QMimeData>
#include <QPainter>
#include <QIcon>

Tool::Tool(QWidget *parent) : QToolButton(parent)
{
}

void Tool::mousePressEvent(QMouseEvent *event)
{
    QDrag * drag = new QDrag (this);

    QColor color = QColor ("cornflowerblue");
    const int size = 24;

    QPixmap pixmap (size, size);
    pixmap.fill (QColor (255, 255, 255, 0));
    QPainter painter (&pixmap);

    painter.setPen (color);
    painter.setBrush (color);
    painter.drawEllipse (2, 2, size-4, size-4);
    QIcon icon = (pixmap);
    setIcon(icon);

    QMimeData * data = new QMimeData;
    data->setText ("Button");
    data->setColorData (color);
    data->setImageData(pixmap);
    drag->setMimeData (data);

    drag->setPixmap (pixmap);
    drag->start (Qt::CopyAction | Qt::MoveAction);
}
